Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Who agreed with this topic

error when spark 1.5 load data from relation database(oracle) using dataframe

Explorer

hi,I upgrade cdh from 5.4.8 to 5.5 ,and now the

 spark 1.5 cann't load data from oracle , it appears

 

 java.lang.NoSuchMethodError: com.fasterxml.jackson.databind.Module$SetupContext.setClassIntrospector(Lcom/fasterxml/jack son/databind/introspect/ClassIntrospector;)V 

I replace the jar jackson-module-scala_2.10-2.2.3 with jackson-module-scala_2.10-2.4.4 ,it doesn't work

Who agreed with this topic